%define major		2
%define libname		%mklibname jemalloc %{major}
%define develname	%mklibname jemalloc -d

Summary:	General-purpose scalable concurrent malloc implementation
Name:		jemalloc
Version:	5.0.1
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.canonware.com/jemalloc/
Source0:	https://github.com/jemalloc/jemalloc/releases/download/%{version}/jemalloc-%{version}.tar.xz
BuildRequires:	xsltproc

%description
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

%package -n	%{libname}
Summary:	General-purpose scalable concurrent malloc implementation
Group:		System/Libraries

%description -n	%{libname}
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} >= %{version}-%{release}
Provides:	jemalloc-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
export LC_ALL=C

%configure2_5x

%make_build

%install
rm -rf %buildroot
%makeinstall_std

# Install this with doc macro instead
rm %{buildroot}%{_datadir}/doc/%{name}/jemalloc.html

# None of these
find %{buildroot}%{_libdir}/ -name '*.a' -exec rm -vf {} ';'

%files -n %{libname}
%doc COPYING README VERSION
%doc doc/jemalloc.html
%{_libdir}/libjemalloc.so.%{major}*

%files -n %{develname}
%{_bindir}/jemalloc-config
%{_bindir}/jeprof
%{_bindir}/jemalloc.sh
%{_includedir}/jemalloc
%{_libdir}/libjemalloc.so
%{_mandir}/man3/jemalloc.3*
%{_libdir}/pkgconfig/jemalloc.pc

%changelog
* Thu Jul 05 2018 adrianomorselli <adrianomorselli> 5.0.1-1uplos2018
- update
